Subject: Re: bug#11464: 24.1.50; pos-visible-in-window-p returns a false positive with bidi text

From: Ari Roponen <[email-masked]>
Date: Fri, 18 May 2012 17:39:39 +0300

Eli Zaretskii <[email-masked]> writes:

> Thanks.  This is consistent with top_y and bottom_y, but leaves open
> the question why move_it_to didn't advance one more line.  I will try
> to reproduce this on my system before I bother you with more
> questions.

In case it helps, I found out this:

Using emacs-24 rev. 107994 (your original patch):

./emacs -Q -fn "DejaVu Sans Mono-10" -l bug.el
=> "Should be nil: nil"

./emacs -Q -fn "DejaVu Sans Mono-12" -l bug.el
=> "Should be nil: t"

In both cases, the latin letters use the given font, and the Hebrew
letters are displayed with corresponding "Arimo" font:

    xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-16-*-*-*-m-0-iso10646-1 (#x44)
    xft:-unknown-Arimo-normal-normal-normal-*-16-*-*-*-*-0-iso10646-1 (#x9BD)

-- 
Ari Roponen